#ifndef __UNITY_WEBAPPS_URL_DB_H
#define __UNITY_WEBAPPS_URL_DB_H

#include <glib.h>

typedef struct _UnityWebappsUrlDB UnityWebappsUrlDB;

UnityWebappsUrlDB *unity_webapps_url_db_open (gboolean read_only, const gchar *database_path);
void unity_webapps_url_db_free (UnityWebappsUrlDB *db);

UnityWebappsUrlDB *unity_webapps_url_db_open_default (gboolean read_only);

gboolean unity_webapps_url_db_insert_url (UnityWebappsUrlDB *url_db, const gchar *url,
					  const gchar *package);
gboolean unity_webapps_url_db_lookup_urls (UnityWebappsUrlDB *url_db, const gchar *url,
					   gchar ***packages);


#endif
